getState
Retrieves the State object for a valid identifier.
GET
/v1/chat/states/{type}/{id}/{name}Authorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-bp-authenticated-principalstringAuthenticated principal. Injected by the authentication middleware.
x-bot-idstringBot id
x-integration-id?stringIntegration id
x-integration-alias?stringIntegration alias
Path parameters
typeenum<string>Represents the resource type that the state is related to
Available options:
"conversation","user","bot","integration","workflow"idstringId of the State which will be either the botId, the userId or the conversationId
namestringName of the State which is declared inside the bot definition
Response
Returns the State object if a valid identifier was provided. Returns an error otherwise
stateobjectThe state object represents the current payload. A state is always linked to either a bot, a conversation or a user.
metaobject